Zoho crm Logo

获取取消订阅链接关联

目的

获取有关您的账户中配置的退订链接关联信息。

端点

  • GET /settings/unsubscribe_link/actions/associations

请求详情

请求 URL

{api-domain}/crm/{version}settings/unsubscribe_link/actions/associations

标题

授权:Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

范围

scope = ZohoCRM.settings.unsubscribe.ALL
(或者)
scope = ZohoCRM.settings.unsubscribe.READ

样本请求

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/unsubscribe_link/actions/associations"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

响应 JSON 键

  • id字符串

    退订链接的唯一ID。

  • associated_placesJSON 数组

    包含退订链接关联位置的详细信息。

    • resourceJSON 对象

      包含退订链接所关联资源的名称和唯一ID。例如,被使用的邮件模板的名称和ID。

    • detailsJSON 对象

      包含退订链接所关联模块的详细信息。

    • type字符串

      表示退订链接的关联类型。可能的值有 email_templates 和 email_footer。

可能的错误

  • INVALID_URL_PATTERNHTTP 404

    请检查尝试访问的URL是否正确
    解决方法:请求的URL不正确,请指定一个有效的请求URL。请参考上面的请求URL部分。

  • OAUTH_SCOPE_MISMATCHHTTP 401

    未授权
    解决方法:客户端没有所需的 OAUTH SCOPE。请创建具有有效 scope 的新客户端。详细信息请参考上方的 scope 部分。

  • INTERNAL_ERRORHTTP 500

    服务器内部错误
    解决方法:服务器中出现了意外且未处理的异常。请联系支持团队。

  • INVALID_REQUEST_METHODHTTP 400

    HTTP请求方法类型无效
    解决方法:你为访问API URL 指定了无效的HTTP方法。请指定有效的请求方法。请参考上方的端点部分。

示例回应

Copied{
    "associations": [
        {
            "id": "2309216000000582076",
            "associated_places": [
                {
                    "resource": {
                        "name": "Product Update",
                        "id": "2309216000000587001"
                    },
                    "details": {
                        "module": {
                            "api_name": "Leads",
                            "id": "2309216000000000125"
                        }
                    },
                    "type": "email_templates"
                }
            ]
        }
    ]
}